import nodeResolve from "@rollup/plugin-node-resolve";
import Path, { format } from 'path'
import FS from 'fs'

let plugins = [
  nodeResolve()
]

let targetDir = '../src/lib'

const dirname = Path.dirname(new URL(import.meta.url).pathname)
let langDir = Path.join(dirname, 'lang')

export default [
  {
    input: [
      './codemirror.js',
      ...FS.readdirSync(langDir, { withFileTypes: true })
        .filter(dirent => dirent.isFile() && dirent.name.endsWith('.js'))
        .map(dirent => Path.join(langDir, dirent.name))
    ],
    output: {
      dir: targetDir,
      format: "es"
    },
    plugins
  },
  // ...FS.readdirSync(langDir, { withFileTypes: true })
  //   .filter(dirent => dirent.isFile() && dirent.name.endsWith('.js'))
  //   .map(dirent => ({
  //     input: Path.join(langDir, dirent.name),
  //     external: [
  //       '@codemirror/state',
  //       '@codemirror/commands',
  //       '@codemirror/view',
  //       '@codemirror/language',
  //       '@codemirror/search',
  //       '@codemirror/autocomplete',
  //       '@codemirror/lint'
  //     ],
  //     output: {
  //       file: Path.join(targetDir, dirent.name),
  //       format: "es",
  //       globals
  //     },
  //     plugins
  //   }))
]